﻿@model List<eCommerce.Services.Model.LookbookGroup>
@using eCommerce.UI.Utils
@{
    ViewBag.Title = "Colecciones";
}
@*<style>
    .item {
        padding: 0px 4px;
    }

    .item img {
        margin-bottom: 5px;
        border-radius: 4px;
    }

    .grid {
        width: 100%;
        margin: 0px;
    }

    .grid-item {
        width: 240px;
        display: inline-flex;
    }

    .grid-item img {
        width: 230px;
        margin-bottom: 2px;
        border-radius: 2px;
    }

    .grid-item-width2 {
        width: 400px;
    }
</style>*@

<div class="main-content" id="main-content">

    <div class="container">
        <div class="row inner-bottom-sm">
            <div class="lookbook-list">
                @foreach (var lookbookitem in Model)
                {
                    <div class="lookbook-item">
                        <a href="/coleccion/@lookbookitem.SeoUrl">
                            <img src="@string.Format("{0}/{1}/{2}/{3}", Utility.ImgUrl, "LookbookGroups", lookbookitem.LookbookGroupId, lookbookitem.Image)" />
                        </a>
                        <a href="/coleccion/@lookbookitem.SeoUrl" class="lookbook-item__title">
                            @lookbookitem.Name
                        </a>
                        @*@if (lookbookitem.LookbookProducts.Count() > 0)
                        {
                            <div class="lookbook-products">
                                @foreach (var lookbookproduct in lookbookitem.LookbookProducts)
                                {

                                    <span><a href="/shop/@lookbookproduct.Product.Category.SeoUrl/@lookbookproduct.Product.SeoUrl">@lookbookproduct.Product.Title</a></span>
                                }
                            </div>
                        }*@
                    </div>
                }
            </div>
            @*<div class="section">
                <div class="grid">
                    @{
                        Random rnd = new Random();
                        var numberList = Enumerable.Range(1,43).ToList();
                        var list = numberList.OrderBy(x => x);
                        foreach (var n in list)
                        {
                            <div class="col-xs-6 col-md-3 item">
                                <a href="/Content/images/Lookbook/Lookbook (@n).jpg?v=1" data-toggle="lightbox" data-gallery="lookbook">
                                    <img src="/Content/images/Lookbook/Lookbook (@n).jpg?v=9242018">
                                </a>
                            </div>
                        }
                    }
                </div>
            </div>*@
        </div>
    </div>
</div>

@section Scripts {
    @*<script src="/Content/assets/js/jquery.colorbox.js"></script>
    <link href="/Content/assets/css/colorbox.css" rel="stylesheet" />
    <link href="/Content/assets/js/ekko-lightbox/ekko-lightbox.min.css" rel="stylesheet" />
    <script src="/Content/assets/js/ekko-lightbox/bootstrap.min.js"></script>
    <script src="/Content/assets/js/ekko-lightbox/ekko-lightbox.min.js"></script>
    <script src="/Content/assets/js/imagesloaded.pkgd.min.js"></script>
    <script src="/Content/assets/js/masonry.pkgd.min.js"></script>*@
    <script type="text/javascript">

    $(document).ready(function () {


        
    });

    //$('.lookbook-item').hover(function () {

    //    $(this).find('.lookbook-products').toggleClass('hide');

    //});

    </script>
}


